> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Dismiss a broker decision from deal-link review



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/broker/end_users/{end_user_id_or_heron_id}/deal_link/dismiss
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/broker/end_users/{end_user_id_or_heron_id}/deal_link/dismiss:
    post:
      tags:
        - Brokers
      summary: Dismiss a broker decision from deal-link review
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrokerLink'
          description: OK
        '404':
          description: Not found
        '422':
          description: Invalid deal link
      security:
        - ApiKeyAuth: []
components:
  schemas:
    BrokerLink:
      properties:
        classification:
          enum:
            - submission
            - decision
            - other
          readOnly: true
        linked_deal_end_user_heron_id:
          description: Heron ID of the deal linked to this broker end user.
          nullable: true
          readOnly: true
          type: string
        linked_deal_name:
          description: Display name of the deal linked to this broker end user.
          nullable: true
          readOnly: true
          type: string
        status:
          enum:
            - unlinked
            - linked
            - dismissed
            - reclassified
          readOnly: true
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````